MozillaZine

Toolbar Enhancements 0.15

Talk about add-ons and extension development.
clav
 
Posts: 1974
Joined: November 5th, 2002, 3:25 am
Location: Lancaster, UK

Post Posted September 20th, 2003, 10:04 am

hao2lian wrote:I get a chrome registration error from the downloads.us-east3.mozdev.org mirror.

what does that mean? an error alert() when installing?

the path for the skin package was wrong in the (new) install script, which i've just fixed. same url as before, and it's already on the us-east3 mirror. maybe that will fix the problem

jedbro

User avatar
 
Posts: 1899
Joined: November 10th, 2002, 12:35 pm
Location: Mexico / Boulder Co.

Post Posted September 20th, 2003, 10:33 am

clav wrote:what does that mean? an error alert() when installing?
the path for the skin package was wrong in the (new) install script, which i've just fixed. same url as before, and it's already on the us-east3 mirror. maybe that will fix the problem


I get the same error, and the new script (on us-east3) gives me an invalid install package error

James
Moderator

User avatar
 
Posts: 27076
Joined: June 18th, 2003, 3:07 pm
Location: Made in Canada

Post Posted September 20th, 2003, 10:45 am

I tried just a few minutes ago and got this error when trying to install in the unoffical /20030919 Firebird/0.7 preview build.

Image

I also get not a valid install package.

clav
 
Posts: 1974
Joined: November 5th, 2002, 3:25 am
Location: Lancaster, UK

Post Posted September 20th, 2003, 11:45 am

well it works for me using 20030916 and a new profile. i'll try this 0.7rc thing as soon as i've downloaded it.

mhowie
 
Posts: 421
Joined: September 3rd, 2003, 4:28 pm

Post Posted September 21st, 2003, 7:23 am

What is the verdict using 20030919 (0.7 RC preview)?

Thanks,
--Howie

ehume

User avatar
 
Posts: 6743
Joined: November 17th, 2002, 12:33 pm
Location: Princeton, NJ, USA

Post Posted September 21st, 2003, 8:14 am

I had the same message when I installed the 0.4 extension over 0.3 on both the FB 0.7rc and aebrahim's 2003-09-18 build. I haven't done a new profile install yet, so I don't know if that message will show up.

What I do know is this: 0.7rc is built on the moz 1.5 base, and 2003-09-18 on moz 1.6. This extension, despite the error code, works on both. What I don't know is if this means that I really have 0.2 working on FB 0.7 and 0.3 working on 2003-09-18, or if 0.4 took over. But the entry in the extensions listing is 0.4.
Firefox: Sic transit gloria mundi.

clav
 
Posts: 1974
Joined: November 5th, 2002, 3:25 am
Location: Lancaster, UK

Post Posted September 21st, 2003, 12:17 pm

for those of you who are still having problems getting 0.4 to install I suggest just downloading the .xpi file and extracting the .jar from it, then manually overwriting the old one. annoying yes, but it should work.


0.5 will be available in 45mins or so. this version will now remember your settings for whether a toolbar is visible, its mode (icons, text, or both), icon size, and whether to show it in full screen mode from one session to the next.

http://downloads.mozdev.org/clav/toolba ... ext0.5.xpi

James
Moderator

User avatar
 
Posts: 27076
Joined: June 18th, 2003, 3:07 pm
Location: Made in Canada

Post Posted September 21st, 2003, 2:41 pm

Not Found

The requested URL /rsync/clav/toolbarext/toolbarext0.5.xpi was not found on this server.


oh well I'll check later ...

clav
 
Posts: 1974
Joined: November 5th, 2002, 3:25 am
Location: Lancaster, UK

Post Posted September 21st, 2003, 3:24 pm

try:

http://downloads.us-east3.mozdev.org/cl ... ext0.5.xpi

it looks like you got the uk1 mirror, which takes forever to update

James
Moderator

User avatar
 
Posts: 27076
Joined: June 18th, 2003, 3:07 pm
Location: Made in Canada

Post Posted September 21st, 2003, 4:39 pm

That mirror you suggested worked.

It seems to work in the unoffical /20030919 Firebird/0.7 preview build fine so far.

thanks

sjrowland
 
Posts: 38
Joined: January 10th, 2003, 4:54 am

Post Posted September 22nd, 2003, 12:38 am

clav wrote:sjrowland: i'm not changing the print preview button back. would a context menu with Print, Print Preview and Page Setup be ok?


Firstly you won't be changing the "Print Preview" button back you would be giving the "Print" button back its orginal feature (Just out of interest does any other extension change the default behaviour of one of the browsers core buttons). So no I would need the Print button to do what it was meant to do and print.

A right click context menu on the print button itself to activate print preview would be great though.

However after all's said and done this is your extension offering functions you wish to implement. It's a great extension that is obviously well appreciated and I seem to be a lone voice in the wind. We will have to agree to disagree and go on our separate ways (enough cliches there?).

Keep up the good work :)

ehume

User avatar
 
Posts: 6743
Joined: November 17th, 2002, 12:33 pm
Location: Princeton, NJ, USA

Post Posted September 22nd, 2003, 6:23 pm

toolbarext0.5.xpi is very nice. I installed it in two ways:

On my 2003-08-17 workaday build I simply installed over the top of toolbarext0.4. It worked fine, except that my Autoform toolbar was showing (I leave it hidden).

On my FB 0.7rc test build, I disabled the extension, deleted the jar file from the chrome folder, installed the xpi. It asked me where I wanted to install it (very polite, and impressive: not all builds with a selection script actually offer the selection option in this rc build). Then I re-enabled the extension, and it has worked just fine. It came up with the Autoform toolbar hidden. So, yes, when installed by the book, the 0.5 version does respect the old settings.
Firefox: Sic transit gloria mundi.

talou

User avatar
 
Posts: 102
Joined: June 27th, 2003, 3:57 pm
Location: Alsace, France

Post Posted September 22nd, 2003, 11:17 pm

clav
this extension rocks !
I use it a lot, and I try some stuffs with it.
But there is a little trouble in the installation under my linux box : the previous jarfile had --r------- rights ! so the reinstallation crashes and I should change thoses rights, but after reinstall, they came back !
No matter but I don't understand why the rights are set so for me. This is the only extension where this appears.

clav
 
Posts: 1974
Joined: November 5th, 2002, 3:25 am
Location: Lancaster, UK

Post Posted September 23rd, 2003, 9:59 am

talou wrote:this extension rocks !

:)

But there is a little trouble in the installation under my linux box : the previous jarfile had --r------- rights ! so the reinstallation crashes and I should change thoses rights, but after reinstall, they came back !
No matter but I don't understand why the rights are set so for me. This is the only extension where this appears.

that generally happens with all my extensions... something to do with the xpi's being created on WinXP.

it's bug 189905

the googlebar install script has a function to fix the problem (by running chmod), which i might use

talou

User avatar
 
Posts: 102
Joined: June 27th, 2003, 3:57 pm
Location: Alsace, France

Post Posted September 23rd, 2003, 1:40 pm

clav wrote:that generally happens with all my extensions... something to do with the xpi's being created on WinXP.

it's bug 189905

the googlebar install script has a function to fix the problem (by running chmod), which i might use


Ok you can use a little bash shell under cygwin, if you want to build a well-formatted package... Very easy to install and to use under winXp (I do so while I'm on winXP), You only need the minimum !

Return to Extension Development


Who is online

Users browsing this forum: No registered users and 3 guests